/*
   This program demonstrates some of the methods that can be
   called on a String object. Use this program to try out other
   methods from the String class. There is documentation for many
   of these methods in the textbook on page 86.
*/

import java.util.Scanner;

public class PlayWithStrings
{
   public static void main( String[] args )
   {
      Scanner keyboard = new Scanner(System.in);

      System.out.println("Please enter a string:");
      String myString = keyboard.nextLine();

      System.out.println("\nHere is the string that you entered:");
      System.out.println( myString );

      System.out.println("Your string has " + myString.length() + " characters in it.");

      System.out.println("\nYour string converted to upper case.");
      System.out.println( myString.toUpperCase() );

      System.out.println("\nYour string converted to lower case.");
      System.out.println( myString.toLowerCase() );

      System.out.println("\nYour string with spaces converted to *'s.");
      System.out.println( myString.replace( ' ', '*' ) );

      // remove any spaces at the beginning or end of the string
      System.out.println("\nYour string without any leading or trailing spaces.");
      System.out.println( myString.trim() );

      // Notice that none of these methods have made any
      // actual changes to the original string. Each method
      // returns a new string that contains the changes.
      System.out.println("\nYour original string again.");
      System.out.println( myString );

   }//main

}//PlayWithStrings